require "bitcointoyou/version"
require 'httparty'

module BitcoinToYou
  class << self
    BASE_URL = "https://www.bitcointoyou.com/api/".freeze

    def ticker
      JSON.parse(HTTParty.get(url_for("ticker")))["ticker"]
    end

    def url_for(resource)
      "#{BASE_URL}#{resource}.aspx"
    end
  end
end
